| GL Studio C++ Runtime API

Public Member Functions | Public Attributes | List of all members
RSOInterface1::LocationEvent Class Reference

`#include <rso_interface_1.h>`

Inheritance diagram for RSOInterface1::LocationEvent:

## Public Member Functions
Vector | WinLoc ()
void | WinLoc (Vector value)
Public Member Functions inherited from RSOInterface1::Event
unsigned short | EventType ()
void | EventType (unsigned short value)
unsigned short | EventSubType ()
void | EventSubType (unsigned short value)

## Public Attributes
Vector | _winLoc
Public Attributes inherited from RSOInterface1::Event
unsigned short | _eventType
unsigned short | _eventSubtype

## Additional Inherited Members
Public Types inherited from RSOInterface1::Event
enum | EventTypeEnum { EVENT_MOUSE = 0 , EVENT_KEYBOARD , EVENT_TIMER , EVENT_OBJECT , EVENT_KEYBOARD_UP }
enum | EventSubtypeEnum { MOUSE_DOWN = 0 , MOUSE_UP , MOUSE_MOVE , MOUSE_DRAG , MOUSE_LEAVE , MOUSE_ENTER , MOUSE_WHEEL_MINUS , MOUSE_WHEEL_PLUS }
enum | SpecialKeyState { NONE_STATE = 0 , SHIFT_STATE = 0x00010000 , CAPS_LOCK_STATE = 0x00020000 , CTRL_STATE = 0x00040000 , ALT_STATE = 0x00080000 , NUM_LOCK_STATE = 0x00100000 , META_STATE = 0x00400000 , SCROLL_LOCK_STATE = 0x00800000 , BUTTON1_STATE = 0x01000000 , BUTTON2_STATE = 0x02000000 , BUTTON3_STATE = 0x04000000 }

## Detailed Description

An event associated with a specific location in the application window. Base class for MouseEvent and KeyboardEvent.

## Member Function Documentation

## ◆ WinLoc() [1/2]

Vector WinLoc | ( |  | ) |
| inline

Returns
  The window coordinates of the this event.

## ◆ WinLoc() [2/2]

void WinLoc | ( | Vector | value | ) |
| inline

Sets the window coordinates of this event.

Parameters

  value | The new window coordinates to set.

## Member Data Documentation

## ◆ _winLoc

Vector _winLoc

Location of the event in window coordinates x and y window coordinates in pixels.
z is from 0.0 -> 1.0 and represents the depth.
z == 0 is at the near cliping plane. z == 0.5 represents half way between near and far cliping planes.

The documentation for this class was generated from the following file:

- rso_interface_1.h